# MultiThreadingSolution

# Project Name:
Multithreading in Java: A Comprehensive Exploration

# Objective:
The primary goal of this project is to explore and demonstrate the fundamental concepts and practical applications of multithreading in Java. This project aims to improve my understanding of how multithreading can improve the performance and responsiveness of applications by allowing multiple threads to run concurrently.

# Problem Statement:
Once apon a time a was an interne at SQLI and i worked on a project that use text detection and recon whit OCR.
basicly i used a Library Tesseract OCR whit spring and it was very slow why you may ask ?
every time a client send a request the spring context create a instance of Tesseract and it took like 5 sec. plus like 3 sec for extracting the text.

# Solution:
so il try to solve this issue whit MultyThreading
Steps : 
1 - define a class that will create  (N) numbers of instance of an object (in my case 10 tesseract instance for example) at the start of the programe.
2 - when receiving the request  give it  to the availabe instance to preform a the process ok extracting the text.
3 - try to couple my module whit the old project.